cURL
curl -X GET "https://api.fitsociety.io/public/v1/webhooks?page=1&limit=50" \
-H "Authorization: Bearer <access_token>"const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fitsociety.io/public/v1/webhooks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.fitsociety.io/public/v1/webhooks"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"page": 1,
"limit": 50,
"total": 1,
"totalPages": 1,
"hasNextPage": false,
"hasPrevPage": false,
"subscriptions": [
{
"id": "66f7b8b1e13c8d25f4d3d90a",
"name": "CRM sync",
"status": "active",
"events": [
"client.created",
"client.updated"
],
"target": {
"type": "url",
"url": "https://example.com/fitsociety/webhooks"
},
"secret": {
"prefix": "whsec_12",
"last4": "9abc",
"rotatedAt": "2026-07-14T09:30:00.000Z"
},
"lastDeliveryAt": "2023-11-07T05:31:56Z",
"lastSuccessAt": "2023-11-07T05:31:56Z",
"lastFailureAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
]
},
"meta": {
"requestId": "4f849d7d-f4f1-45cc-b4b7-3984a3d17f83",
"rateLimit": {
"limit": 10,
"remaining": 9,
"resetSeconds": 1,
"retryAfterSeconds": 1
}
}
}{
"error": {
"code": 401,
"key": "auth.invalid_token",
"message": "The access token is invalid.",
"details": {}
},
"meta": {
"requestId": "4f849d7d-f4f1-45cc-b4b7-3984a3d17f83",
"rateLimit": {
"limit": 10,
"remaining": 9,
"resetSeconds": 1,
"retryAfterSeconds": 1
}
}
}{
"error": {
"code": 401,
"key": "auth.invalid_token",
"message": "The access token is invalid.",
"details": {}
},
"meta": {
"requestId": "4f849d7d-f4f1-45cc-b4b7-3984a3d17f83",
"rateLimit": {
"limit": 10,
"remaining": 9,
"resetSeconds": 1,
"retryAfterSeconds": 1
}
}
}{
"error": {
"code": 401,
"key": "auth.invalid_token",
"message": "The access token is invalid.",
"details": {}
},
"meta": {
"requestId": "4f849d7d-f4f1-45cc-b4b7-3984a3d17f83",
"rateLimit": {
"limit": 10,
"remaining": 9,
"resetSeconds": 1,
"retryAfterSeconds": 1
}
}
}{
"error": {
"code": 401,
"key": "auth.invalid_token",
"message": "The access token is invalid.",
"details": {}
},
"meta": {
"requestId": "4f849d7d-f4f1-45cc-b4b7-3984a3d17f83",
"rateLimit": {
"limit": 10,
"remaining": 9,
"resetSeconds": 1,
"retryAfterSeconds": 1
}
}
}Webhooks
List webhook subscriptions
Requires webhooks:read. Lists outbound webhook subscriptions for the authenticated company. This is a Public API management endpoint, not a provider webhook receiver.
GET
/
public
/
v1
/
webhooks
cURL
curl -X GET "https://api.fitsociety.io/public/v1/webhooks?page=1&limit=50" \
-H "Authorization: Bearer <access_token>"const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fitsociety.io/public/v1/webhooks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.fitsociety.io/public/v1/webhooks"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"page": 1,
"limit": 50,
"total": 1,
"totalPages": 1,
"hasNextPage": false,
"hasPrevPage": false,
"subscriptions": [
{
"id": "66f7b8b1e13c8d25f4d3d90a",
"name": "CRM sync",
"status": "active",
"events": [
"client.created",
"client.updated"
],
"target": {
"type": "url",
"url": "https://example.com/fitsociety/webhooks"
},
"secret": {
"prefix": "whsec_12",
"last4": "9abc",
"rotatedAt": "2026-07-14T09:30:00.000Z"
},
"lastDeliveryAt": "2023-11-07T05:31:56Z",
"lastSuccessAt": "2023-11-07T05:31:56Z",
"lastFailureAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
]
},
"meta": {
"requestId": "4f849d7d-f4f1-45cc-b4b7-3984a3d17f83",
"rateLimit": {
"limit": 10,
"remaining": 9,
"resetSeconds": 1,
"retryAfterSeconds": 1
}
}
}{
"error": {
"code": 401,
"key": "auth.invalid_token",
"message": "The access token is invalid.",
"details": {}
},
"meta": {
"requestId": "4f849d7d-f4f1-45cc-b4b7-3984a3d17f83",
"rateLimit": {
"limit": 10,
"remaining": 9,
"resetSeconds": 1,
"retryAfterSeconds": 1
}
}
}{
"error": {
"code": 401,
"key": "auth.invalid_token",
"message": "The access token is invalid.",
"details": {}
},
"meta": {
"requestId": "4f849d7d-f4f1-45cc-b4b7-3984a3d17f83",
"rateLimit": {
"limit": 10,
"remaining": 9,
"resetSeconds": 1,
"retryAfterSeconds": 1
}
}
}{
"error": {
"code": 401,
"key": "auth.invalid_token",
"message": "The access token is invalid.",
"details": {}
},
"meta": {
"requestId": "4f849d7d-f4f1-45cc-b4b7-3984a3d17f83",
"rateLimit": {
"limit": 10,
"remaining": 9,
"resetSeconds": 1,
"retryAfterSeconds": 1
}
}
}{
"error": {
"code": 401,
"key": "auth.invalid_token",
"message": "The access token is invalid.",
"details": {}
},
"meta": {
"requestId": "4f849d7d-f4f1-45cc-b4b7-3984a3d17f83",
"rateLimit": {
"limit": 10,
"remaining": 9,
"resetSeconds": 1,
"retryAfterSeconds": 1
}
}
}Authorizations
Public API access token issued by /public/v1/oauth/token. Example: Authorization: Bearer fspt_....
Query Parameters
Required range:
x >= 1Example:
1
Required range:
1 <= x <= 100Example:
50
⌘I